<?php

namespace CarDealerPress\Includes\Database;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Truncate {

	private static $wpdb;
	public $admin_options;
	public $theme_options;
	private static $blog;

	public function __construct() {
		global $wpdb;
		self::$wpdb = $wpdb;
		self::$blog = get_current_blog_id();
	}

	public function clear_import_table() {
		// @codingStandardsIgnoreStart
		self::$wpdb->query( 'TRUNCATE ' . CDP_INVENTORY_IMPORT_TABLE );
		// @codingStandardsIgnoreEnd
	}

	public function cdp_inventory() {
		$query = 'TRUNCATE ' . CDP_INVENTORY_TABLE;
		// @codingStandardsIgnoreStart
		self::$wpdb->query( $query );
		// @codingStandardsIgnoreEnd
	}
}
